/*
    DAAC_DAA2ISOTaskOutputParsing.h

    Copyright 2008,2009 Josh Freeman
    http://www.twilightedge.com

    This file is part of DAA Converter v1.3 for Mac OS X.

    DAA Converter is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
*/

#import <Cocoa/Cocoa.h>


bool DAA2ISOTaskOutput_HasNewDAASourceFile(NSString *outputString,
                                            NSString **returnedDAAFilename);

bool DAA2ISOTaskOutput_HasUnknownDAAVersionAlert(NSString *outputString);
bool DAA2ISOTaskOutput_HasPasswordRequest(NSString *outputString);

bool DAA2ISOTaskOutput_HasErrorMessage(NSString *outputString, NSString **returnedErrorMessage);

bool DAA2ISOTaskOutput_HasConversionBegun(NSString *outputString);
bool DAA2ISOTaskOutput_HasConversionFinished(NSString *outputString);

bool DAA2ISOTaskOutput_HasConversionProgress(NSString *outputString,
                                                unsigned *returnedCompletionPercentage);

bool DAA2ISOTaskOutput_RetrieveCredits(NSString *outputString, NSString **returnedCredits);
